Documents

Get Hris Employee Documents

Lists an employee's HRIS documents with signed download URLs where the caller's role may view content.

GEThttps://api.toku.com/hris/get-hris-employee-documents

Not available to API keys.

curl --request GET \
  --url 'https://api.toku.com/hris/get-hris-employee-documents?roleInOrgID=%3CroleInOrgID%3E' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "documents": [
    {
      "id": "string",
      "category": "string",
      "displayName": "string",
      "fileName": "string",
      "downloadUrl": "string",
      "createdAt": "string"
    }
  ]
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

roleInOrgIDstring<uuid>required

Response

200Successful response
documentsobject[]required
Show child attributes
idstringrequired
categorystringrequired
displayNamestring | nullrequired
fileNamestringrequired
downloadUrlstring | nullrequired
createdAtstringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits